IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2c19:ec00::/24- First address
2c19:ec00::- Last address
2c19:ecff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2c19:ec00:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
c.e.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:ec00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:ec00::/32 | 2c19:ec00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:ec01::/32 | 2c19:ec01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:ec02::/32 | 2c19:ec02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:ec03::/32 | 2c19:ec03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:ec04::/32 | 2c19:ec04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:ec05::/32 | 2c19:ec05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:ec06::/32 | 2c19:ec06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:ec07::/32 | 2c19:ec07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:ec08::/32 | 2c19:ec08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:ec09::/32 | 2c19:ec09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:ec0a::/32 | 2c19:ec0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:ec0b::/32 | 2c19:ec0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:ec0c::/32 | 2c19:ec0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:ec0d::/32 | 2c19:ec0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:ec0e::/32 | 2c19:ec0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:ec0f::/32 | 2c19:ec0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:ec10::/32 | 2c19:ec10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:ec11::/32 | 2c19:ec11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:ec12::/32 | 2c19:ec12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:ec13::/32 | 2c19:ec13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:ec14::/32 | 2c19:ec14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:ec15::/32 | 2c19:ec15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:ec16::/32 | 2c19:ec16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:ec17::/32 | 2c19:ec17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:ec18::/32 | 2c19:ec18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:ec19::/32 | 2c19:ec19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:ec1a::/32 | 2c19:ec1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:ec1b::/32 | 2c19:ec1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:ec1c::/32 | 2c19:ec1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:ec1d::/32 | 2c19:ec1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:ec1e::/32 | 2c19:ec1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:ec1f::/32 | 2c19:ec1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:ec20::/32 | 2c19:ec20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:ec21::/32 | 2c19:ec21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:ec22::/32 | 2c19:ec22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:ec23::/32 | 2c19:ec23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:ec24::/32 | 2c19:ec24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:ec25::/32 | 2c19:ec25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:ec26::/32 | 2c19:ec26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:ec27::/32 | 2c19:ec27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:ec28::/32 | 2c19:ec28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:ec29::/32 | 2c19:ec29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:ec2a::/32 | 2c19:ec2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:ec2b::/32 | 2c19:ec2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:ec2c::/32 | 2c19:ec2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:ec2d::/32 | 2c19:ec2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:ec2e::/32 | 2c19:ec2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:ec2f::/32 | 2c19:ec2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:ec30::/32 | 2c19:ec30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:ec31::/32 | 2c19:ec31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:ec32::/32 | 2c19:ec32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:ec33::/32 | 2c19:ec33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:ec34::/32 | 2c19:ec34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:ec35::/32 | 2c19:ec35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:ec36::/32 | 2c19:ec36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:ec37::/32 | 2c19:ec37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:ec38::/32 | 2c19:ec38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:ec39::/32 | 2c19:ec39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:ec3a::/32 | 2c19:ec3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:ec3b::/32 | 2c19:ec3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:ec3c::/32 | 2c19:ec3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:ec3d::/32 | 2c19:ec3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:ec3e::/32 | 2c19:ec3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:ec3f::/32 | 2c19:ec3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:ec40::/32 | 2c19:ec40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:ec41::/32 | 2c19:ec41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:ec42::/32 | 2c19:ec42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:ec43::/32 | 2c19:ec43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:ec44::/32 | 2c19:ec44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:ec45::/32 | 2c19:ec45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:ec46::/32 | 2c19:ec46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:ec47::/32 | 2c19:ec47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:ec48::/32 | 2c19:ec48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:ec49::/32 | 2c19:ec49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:ec4a::/32 | 2c19:ec4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:ec4b::/32 | 2c19:ec4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:ec4c::/32 | 2c19:ec4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:ec4d::/32 | 2c19:ec4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:ec4e::/32 | 2c19:ec4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:ec4f::/32 | 2c19:ec4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:ec50::/32 | 2c19:ec50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:ec51::/32 | 2c19:ec51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:ec52::/32 | 2c19:ec52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:ec53::/32 | 2c19:ec53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:ec54::/32 | 2c19:ec54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:ec55::/32 | 2c19:ec55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:ec56::/32 | 2c19:ec56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:ec57::/32 | 2c19:ec57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:ec58::/32 | 2c19:ec58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:ec59::/32 | 2c19:ec59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:ec5a::/32 | 2c19:ec5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:ec5b::/32 | 2c19:ec5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:ec5c::/32 | 2c19:ec5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:ec5d::/32 | 2c19:ec5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:ec5e::/32 | 2c19:ec5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:ec5f::/32 | 2c19:ec5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:ec60::/32 | 2c19:ec60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:ec61::/32 | 2c19:ec61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:ec62::/32 | 2c19:ec62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:ec63::/32 | 2c19:ec63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:ec64::/32 | 2c19:ec64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:ec65::/32 | 2c19:ec65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:ec66::/32 | 2c19:ec66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:ec67::/32 | 2c19:ec67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:ec68::/32 | 2c19:ec68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:ec69::/32 | 2c19:ec69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:ec6a::/32 | 2c19:ec6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:ec6b::/32 | 2c19:ec6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:ec6c::/32 | 2c19:ec6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:ec6d::/32 | 2c19:ec6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:ec6e::/32 | 2c19:ec6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:ec6f::/32 | 2c19:ec6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:ec70::/32 | 2c19:ec70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:ec71::/32 | 2c19:ec71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:ec72::/32 | 2c19:ec72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:ec73::/32 | 2c19:ec73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:ec74::/32 | 2c19:ec74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:ec75::/32 | 2c19:ec75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:ec76::/32 | 2c19:ec76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:ec77::/32 | 2c19:ec77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:ec78::/32 | 2c19:ec78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:ec79::/32 | 2c19:ec79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:ec7a::/32 | 2c19:ec7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:ec7b::/32 | 2c19:ec7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:ec7c::/32 | 2c19:ec7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:ec7d::/32 | 2c19:ec7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:ec7e::/32 | 2c19:ec7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:ec7f::/32 | 2c19:ec7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:ec80::/32 | 2c19:ec80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:ec81::/32 | 2c19:ec81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:ec82::/32 | 2c19:ec82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:ec83::/32 | 2c19:ec83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:ec84::/32 | 2c19:ec84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:ec85::/32 | 2c19:ec85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:ec86::/32 | 2c19:ec86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:ec87::/32 | 2c19:ec87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:ec88::/32 | 2c19:ec88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:ec89::/32 | 2c19:ec89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:ec8a::/32 | 2c19:ec8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:ec8b::/32 | 2c19:ec8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:ec8c::/32 | 2c19:ec8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:ec8d::/32 | 2c19:ec8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:ec8e::/32 | 2c19:ec8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:ec8f::/32 | 2c19:ec8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:ec90::/32 | 2c19:ec90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:ec91::/32 | 2c19:ec91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:ec92::/32 | 2c19:ec92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:ec93::/32 | 2c19:ec93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:ec94::/32 | 2c19:ec94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:ec95::/32 | 2c19:ec95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:ec96::/32 | 2c19:ec96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:ec97::/32 | 2c19:ec97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:ec98::/32 | 2c19:ec98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:ec99::/32 | 2c19:ec99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:ec9a::/32 | 2c19:ec9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:ec9b::/32 | 2c19:ec9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:ec9c::/32 | 2c19:ec9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:ec9d::/32 | 2c19:ec9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:ec9e::/32 | 2c19:ec9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:ec9f::/32 | 2c19:ec9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:eca0::/32 | 2c19:eca0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:eca1::/32 | 2c19:eca1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:eca2::/32 | 2c19:eca2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:eca3::/32 | 2c19:eca3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:eca4::/32 | 2c19:eca4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:eca5::/32 | 2c19:eca5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:eca6::/32 | 2c19:eca6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:eca7::/32 | 2c19:eca7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:eca8::/32 | 2c19:eca8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:eca9::/32 | 2c19:eca9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:ecaa::/32 | 2c19:ecaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:ecab::/32 | 2c19:ecab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:ecac::/32 | 2c19:ecac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:ecad::/32 | 2c19:ecad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:ecae::/32 | 2c19:ecae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:ecaf::/32 | 2c19:ecaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:ecb0::/32 | 2c19:ecb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:ecb1::/32 | 2c19:ecb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:ecb2::/32 | 2c19:ecb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:ecb3::/32 | 2c19:ecb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:ecb4::/32 | 2c19:ecb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:ecb5::/32 | 2c19:ecb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:ecb6::/32 | 2c19:ecb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:ecb7::/32 | 2c19:ecb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:ecb8::/32 | 2c19:ecb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:ecb9::/32 | 2c19:ecb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:ecba::/32 | 2c19:ecba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:ecbb::/32 | 2c19:ecbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:ecbc::/32 | 2c19:ecbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:ecbd::/32 | 2c19:ecbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:ecbe::/32 | 2c19:ecbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:ecbf::/32 | 2c19:ecbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:ecc0::/32 | 2c19:ecc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:ecc1::/32 | 2c19:ecc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:ecc2::/32 | 2c19:ecc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:ecc3::/32 | 2c19:ecc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:ecc4::/32 | 2c19:ecc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:ecc5::/32 | 2c19:ecc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:ecc6::/32 | 2c19:ecc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:ecc7::/32 | 2c19:ecc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:ecc8::/32 | 2c19:ecc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:ecc9::/32 | 2c19:ecc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:ecca::/32 | 2c19:ecca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:eccb::/32 | 2c19:eccb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:eccc::/32 | 2c19:eccc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:eccd::/32 | 2c19:eccd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:ecce::/32 | 2c19:ecce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:eccf::/32 | 2c19:eccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:ecd0::/32 | 2c19:ecd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:ecd1::/32 | 2c19:ecd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:ecd2::/32 | 2c19:ecd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:ecd3::/32 | 2c19:ecd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:ecd4::/32 | 2c19:ecd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:ecd5::/32 | 2c19:ecd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:ecd6::/32 | 2c19:ecd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:ecd7::/32 | 2c19:ecd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:ecd8::/32 | 2c19:ecd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:ecd9::/32 | 2c19:ecd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:ecda::/32 | 2c19:ecda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:ecdb::/32 | 2c19:ecdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:ecdc::/32 | 2c19:ecdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:ecdd::/32 | 2c19:ecdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:ecde::/32 | 2c19:ecde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:ecdf::/32 | 2c19:ecdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:ece0::/32 | 2c19:ece0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:ece1::/32 | 2c19:ece1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:ece2::/32 | 2c19:ece2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:ece3::/32 | 2c19:ece3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:ece4::/32 | 2c19:ece4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:ece5::/32 | 2c19:ece5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:ece6::/32 | 2c19:ece6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:ece7::/32 | 2c19:ece7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:ece8::/32 | 2c19:ece8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:ece9::/32 | 2c19:ece9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:ecea::/32 | 2c19:ecea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:eceb::/32 | 2c19:eceb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:ecec::/32 | 2c19:ecec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:eced::/32 | 2c19:eced:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:ecee::/32 | 2c19:ecee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:ecef::/32 | 2c19:ecef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:ecf0::/32 | 2c19:ecf0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:ecf1::/32 | 2c19:ecf1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:ecf2::/32 | 2c19:ecf2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:ecf3::/32 | 2c19:ecf3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:ecf4::/32 | 2c19:ecf4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:ecf5::/32 | 2c19:ecf5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:ecf6::/32 | 2c19:ecf6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:ecf7::/32 | 2c19:ecf7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:ecf8::/32 | 2c19:ecf8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:ecf9::/32 | 2c19:ecf9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:ecfa::/32 | 2c19:ecfa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:ecfb::/32 | 2c19:ecfb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:ecfc::/32 | 2c19:ecfc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:ecfd::/32 | 2c19:ecfd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:ecfe::/32 | 2c19:ecfe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:ecff::/32 | 2c19:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |